#!/bin/csh

# Set the installation path dynamically based on CMAKE_INSTALL_PREFIX
setenv PATH "@CMAKE_INSTALL_PREFIX@/bin":$PATH

# Set the LD_LIBRARY_PATH variable for Linux
if ( `uname` == "Linux" ) then
    setenv LD_LIBRARY_PATH "@CMAKE_INSTALL_PREFIX@/lib":$LD_LIBRARY_PATH
endif

# Set the DYLD_LIBRARY_PATH variable for macOS
if ( `uname` == "Darwin" ) then
    setenv DYLD_LIBRARY_PATH "@CMAKE_INSTALL_PREFIX@/lib":$DYLD_LIBRARY_PATH
endif